Subject: RE: I-D ACTION:draft-narten-ipv6-iana-considerations-00.txt

From: "Michel Py" <[email-masked]>
Date: Wed, 23 Oct 2002 10:01:42 -0700

Thomas,

> The purpose of the documentation prefix is assumed to
> be vendors wanting to give examples in their documentation
> for things like sample config files.

Then a /32 is not enough, IMHO. A /32 is the size currently allocated to
LIRs; imagine a sample BGP config that involves three LIRs, you would
need at least three /32s. A /30 would be what I consider the bare
minimum in this case.

Michel.

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Fred L. Templin" <[email-masked]>
Date: Thu, 24 Oct 2002 09:53:50 -0700

This question came up during one of the ISATAP draft revisions. We
were intending to adopt Marc's proposed reserved address space for
documentation, but couldn't find a proper reference. I favor the
/16 example - it should be large enough to cover unanticipated
future use cases.

Fred
[email-masked]

Marc Blanchet wrote:
 >
 > -- mercredi, octobre 23, 2002 10:43:58 -0400 Thomas Narten
 > <[email-masked]> wrote/a icrit:
 >
 >
 >>I'd like to formally request the following from the WG on this
 >>document:
 >>
 >> - I'd like to see it become a WG document (to become a BCP RFC)
 >>
 >> - I'd like for folks here to review it and post any issues they have
 >>   with it
 >>
 >> - I'd like to call special attention to the following text that it
 >>   includes:
 >>
 >>
 >>>   In addition, experience with IPv4 has shown that it is useful to
 >>>   reserve an address block for documentation purposes that will never
 >>>   be assigned for actual use in a network [DOC]. Such addresses can
 >>>   safely be used in documentation, without the worry that someone will
 >>>   accidentally (and incorrectly) configure them on a real network and
 >>>   cause traffic intended for the legitimate owner of those addresses to
 >>>   be impacted.
 >>>
 >>>   This document reserves the IPv6 address block XXXX::/32 for
 >>>   documentation purposes.
 >>
 >>There has been some private discussion about the need for addresses
 >>for documentation, but it's probably worth discussing how much address
 >>space is needed for this purpose, and what the prefix should be (e.g.,
 >>allocate out of 001/3?). the /32 length is a strawman.
 >>
 >
 >
 > - great to see that the proposal I made on address space for documentation
 > is surviving!
 > - I would propose that at least the space reserved is in well known
 > boundaries: /16, /24, /32.
 > - 3fff::/16 is for me the best: it is large, but simple and would cover
 > most cases needed.
 > - if not agreeable (too large), then /24. which would have room for
 > aggregates in bgp routing.
 >
 > Marc.
 >

---

From: "Michel Py" <[email-masked]>
Date: Thu, 24 Oct 2002 16:28:27 -0700

> Alain Durand wrote:
> We need to reserve some equivalent space in
> v6 land. Net 10 allows 16 bits to create a
> hierachy of /24, so we need 16 bits in v6
> lands to create a hierachy of /48. That
> translate into a /32.

Another way to read these numbers:
10. net allows 10 bits to create a hierarchy of /18s (a reasonable size
for a v4 ISP, that's 64 class Cs) so we need 10 bits in v6 land to
create a hierarchy of /32s, which translates into a /14. 

You are comparing apples and oranges, this makes no sense.

Michel.